.flip{
  animation: animationFlip linear 1s;
  animation-iteration-count: 1;
  transform-origin: 50% 50%;
  -webkit-animation: animationFlip linear 1s;
  -webkit-animation-iteration-count: 1;
  -webkit-transform-origin: 50% 50%;
  -moz-animation: animationFlip linear 1s;
  -moz-animation-iteration-count: 1;
  -moz-transform-origin: 50% 50%;
  -o-animation: animationFlip linear 1s;
  -o-animation-iteration-count: 1;
  -o-transform-origin: 50% 50%;
  -ms-animation: animationFlip linear 1s;
  -ms-animation-iteration-count: 1;
  -ms-transform-origin: 50% 50%;
}

@keyframes animationFlip{
  0% {
    transform:  scaleX(1.00) ;
  }
  100% {
    transform:  scaleX(-1) ;
  }
}

@-moz-keyframes animationFlip{
  0% {
    -moz-transform:  scaleX(1.00) ;
  }
  100% {
    -moz-transform:  scaleX(-1) ;
  }
}

@-webkit-keyframes animationFlip {
  0% {
    -webkit-transform:  scaleX(1.00) ;
  }
  100% {
    -webkit-transform:  scaleX(-1) ;
  }
}

@-o-keyframes animationFlip {
  0% {
    -o-transform:  scaleX(1.00) ;
  }
  100% {
    -o-transform:  scaleX(-1) ;
  }
}

@-ms-keyframes animationFlip {
  0% {
    -ms-transform:  scaleX(1.00) ;
  }
  100% {
    -ms-transform:  scaleX(-1) ;
  }
}